All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas
Class ViewInterfaceSupportInfo

    com.sas.ViewInterfaceSupportInfo

All Implemented Interfaces:
  com.sas.PublicClonable, java.io.Serializable, java.lang.Cloneable

    public class ViewInterfaceSupportInfo

implements java.io.Serializable, com.sas.PublicClonable

The ViewInterfaceSupportInfo class provides a place for ViewInterfaceSupport to store instance data for objects that implement the ViewInterface using ViewInterfaceSupport.

See Also:
  `ViewInterfaceSupport`, `ViewInterface`, Serialized Form

Field Summary
`ModelInterface` | `modelInterface` modelInterface refers to the model currently attached to this viewer.

Constructor Summary
`ViewInterfaceSupportInfo()`

Method Summary
`java.lang.Object` | `clone()` clone the ViewInterfaceSupportInfo

Field Detail

### modelInterface

    public ModelInterface modelInterface

  modelInterface refers to the model currently attached to this viewer. modelInterface may be null (indicating no model is attached).

  See Also:
    `ViewInterface.getModelInterface()`, `ViewInterface.setModelInterface(com.sas.ModelInterface)`, `ViewInterface.attachModel(com.sas.ModelInterface)`, `ViewInterface.detachModel(com.sas.ModelInterface)`

Constructor Detail

### ViewInterfaceSupportInfo

    public ViewInterfaceSupportInfo()

Method Detail

### clone

    public java.lang.Object clone()

  clone the ViewInterfaceSupportInfo

  Specified by:
    `clone` in interface `com.sas.PublicClonable`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a clone

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.